package test

import (
	"os"
	"path"
	"runtime"
)

var SampleLocations = []string{
	"resources/samples/cYsmix - Haunted House/",
	"resources/samples/Babbe Music - RADIANT DANCEFLOOR/",
}

func init() {
	_, filename, _, _ := runtime.Caller(0)
	// The ".." may change depending on you folder structure
	dir := path.Join(path.Dir(filename), "..")
	err := os.Chdir(dir)
	if err != nil {
		panic(err)
	}
}

const SingleSample24 = "resources/samples/cYsmix - Haunted House/11. The Great Rigid Desert.flac"

const SingleSample16 = "resources/samples/Babbe Music - RADIANT DANCEFLOOR/01. ENTER.flac"
const SingleSample16TTA = "resources/samples/Babbe Music - RADIANT DANCEFLOOR/01. ENTER.tta"
const SingleSampleAACMP4 = "resources/samples/cYsmix - Haunted House/11. The Great Rigid Desert.m4a"
const SingleSampleALACMP4 = "resources/samples/cYsmix - Haunted House/11. The Great Rigid Desert.alac"
